imagecreatefromgd2part
imagecreatefromgif
GD and Image Functions
PHP Manual

# imagecreatefromgd

(PHP 4 >= 4.0.7, PHP 5)

imagecreatefromgd — Create a new image from GD file or URL

### Description

resource imagecreatefromgd ( string `$filename` )

Create a new image from GD file or URL.

Tip

A URL can be used as a filename with this function if the fopen wrappers have been enabled. See fopen() for more details on how to specify the filename. See the List of Supported Protocols/Wrappers for links to information about what abilities the various wrappers have, notes on their usage, and information on any predefined variables they may provide.

### Parameters

`filename`

  Path to the GD file.

### Return Values

Returns an image resource identifier on success, `FALSE` on errors.

### Examples

Example #1 imagecreatefromgd() example

`<?php
// Load the gd image
$im = @imagecreatefromgd('./test.gd');
// Test if the image was loaded
if(!is_resource($im))
{
die('Unable to load gd image!');
}
// Do image operations here
// Save the image
imagegd($im, './test_updated.gd');
imagedestroy($im);
?>`

### Notes

Warning

Windows versions of PHP prior to PHP 4.3.0 do not support access of remote files via this function, even if allow_url_fopen is enabled.

imagecreatefromgd2part
imagecreatefromgif
GD and Image Functions
PHP Manual